Bug 956069 (CVE-2013-3228)

Summary: CVE-2013-3228 Kernel: irda: missing msg_namelen update in irda_recvmsg_dgram
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, anton, bhu, davej, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jonathan, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, mcressma, plougher, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130407,reported=20130414,source=oss-security,cvss2=2.1/AV:L/AC:L/Au:N/C:P/I:N/A:N,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-09 13:55:28 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 956071    
Bug Blocks: 858947    

Description Prasad J Pandit 2013-04-24 05:12:16 EDT
Linux kernel built with the The Infrared Data Associations (CONFIG_IRDA)
protocol is vulnerable to an information leakage flaw. It occurs while
receiving messages via recvmsg(2) socket call.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> http://git.kernel.org/linus/5ae94c0d2f0bed41d6718be743985d61b7f5c47d

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/04/14/3
Comment 1 Prasad J Pandit 2013-04-24 05:14:34 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.
Comment 2 Prasad J Pandit 2013-04-24 05:15:32 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 956071]
Comment 3 Fedora Update System 2013-04-26 20:09:44 EDT
kernel-3.8.8-203.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-05-03 20:07:22 EDT
kernel-3.8.11-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.